Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class SingletonIterator

    java.lang.Object
      |
      +--org.apache.commons.collections.iterators.SingletonIterator

All Implemented Interfaces:
  Iterator, ResettableIterator

public class SingletonIterator
extends Object
implements Iterator, ResettableIterator

`SingletonIterator` is an `Iterator` over a single object instance.

Since:
  Commons Collections 2.0
Version:
  $Revision: 1.14 $ $Date: 2004/04/09 22:52:48 $
Author:
  James Strachan, Stephen Colebourne, Rodney Waldhoff

Constructor Summary
`SingletonIterator(Object object)` Constructs a new `SingletonIterator` where `remove` is a permitted operation.
`SingletonIterator(Object object, boolean removeAllowed)` Constructs a new `SingletonIterator` optionally choosing if `remove` is a permitted operation.

Method Summary
`boolean` | `hasNext()` Is another object available from the iterator?
`Object` | `next()` Get the next object from the iterator.
`void` | `remove()` Remove the object from this iterator.
`void` | `reset()` Reset the iterator to the start.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingletonIterator

    public SingletonIterator(Object object)

  Constructs a new `SingletonIterator` where `remove` is a permitted operation.

Parameters:
  `object` - the single object to return from the iterator

### SingletonIterator

    public SingletonIterator(Object object,
                             boolean removeAllowed)

  Constructs a new `SingletonIterator` optionally choosing if `remove` is a permitted operation.

Parameters:
  `object` - the single object to return from the iterator
  `removeAllowed` - true if remove is allowed
Since:
  Commons Collections 3.1

Method Detail

### hasNext

    public boolean hasNext()

  Is another object available from the iterator?

  This returns true if the single object hasn't been returned yet.

  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    true if the single object hasn't been returned yet

### next

    public Object next()

  Get the next object from the iterator.

  This returns the single object if it hasn't been returned yet.

  Specified by:
    `next` in interface `Iterator`
  Returns:
    the single object
  Throws:
    `NoSuchElementException` - if the single object has already been returned

### remove

    public void remove()

  Remove the object from this iterator.

  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `IllegalStateException` - if the `next` method has not yet been called, or the `remove` method has already been called after the last call to the `next` method.
    `UnsupportedOperationException` - if remove is not supported

### reset

    public void reset()

  Reset the iterator to the start.

  Specified by:
    `reset` in interface `ResettableIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.